[TESTING] Kodi 17 (Krypton) builds for Raspberry Pi (continued)


#720

thank you! hopefully this helps. I was getting sad face on an update and finally found the above post mentioning the “sudo mv /usr/share/kodi/addons/skin.osmc/ ~/skin.osmc.bak/” and restarting mediacenter. that worked immediately.

thanks anxdpanic! ([TESTING] Kodi 17 (Krypton) builds for Raspberry Pi (continued))


#721

Thanks Greg, we’ll give it another bump shortly. I’ll let you know in Slack.

Sam


#722

16.8-172, 19 Oct 2016: Based off OSMC commit (7369d1aa6) and newclock5 (bf1e31b5)

XBMC:
[VideoPlayer] FFmpegDemux: proper flush io context. (PR:10722, 1 commit, 1 file changed)
fix playing video in slideshow, fullscreen video not allowed in modal… (PR:10720, 5 commits, 4 files changed)
[PVR] Fix search window update (PR:10723, 2 commits, 2 files changed)
[language] cosmetics (PR:10716, 1 commit, 1 file changed)
[gui] fix slider focus handling (PR:10679, 1 commit, 5 files changed)

inputstream.mpd:
Read Period::BaseUrl (15c3bdd5)
added wvdecrypter (162a8ec9)
AP4.h -> Ap4.h (faa6e124)
linux compile fixes (fcffa604)
lib before decrypterwv .so (eac8dfd9)
added Readme.md (da745062)
added Readme.md (e64ae9d1)
removed unneccessary things form native_library_mac.mm (2fff60ea)
more mac stuff (ac8744ce)
make it compile on apples (thx @f) (d4b98b7a)
Interface version 1 / FileIo implementation / SSM template (b4d44b91)
seach for widevine.dll/so in userdata/cdm instead decrypter path (5e13b090)
Write postdata using new Interface option - Interface versionbump 1->2 (88b3a785)
use OUTPUTRESTRICTED keys if no usable key is available (e53bcf57)
return success if cdm file is not present (92ee2187)
license key template changes (1fd9d4e5)
Add some break between decrypted images / debugging infos (01ca3fba)
Write out wv response on error in debug compile (cecf3ed8)
merged lastest mapfau changes / adjust interface changes (c665aea8)
initialization of defaultkeyid (63da845b)
Allow out-of-source-builds of ssd_wv (bfaa40fb)
load wv from library path (11f268cf)
Debug output (d91c750f)
Untested: android MediaDRM (32fe11ea)
mediandk (1e043675)
Add to build (c26a91fc)
Reimplementation of Provisioning (f6a9600e)
more log (b170c0e5)
-Wl, --no-undefined only for android (e4cce582)
Don’t add pssh header if already existing in init_data (ce58ae75)
Fix rebase issue (4c8013f6)

peripheral.joystick:
[depends] fix building pcre on android (PR:58, 1 commit, 1 file changed)


#723

Hi guys, sorry for being a noob but how do I update?

I get this message after sudo apt-get update command

W: Duplicate sources.list entry http://apt.osmc.tv/ krypton/main armhf Packages (/var/lib/apt/lists/apt.osmc.tv_dists_krypton_main_binary-armhf_Packages)

W: You may want to run apt-get update to correct these problems
root@osmc:/home/osmc#

Ok, got it all figured out and installed the latest update.


#724

Hi guys,
On my Pi2 Ive followed the instructions in the 1st post, so I’ve added:

deb http://download.osmc.tv/dev/gmc ./

to my /etc/apt/sources.list file, ran ‘sudo apt-get update’…
then ‘sudo apt-get install rbp2-mediacenter-osmc’…
but it reports ‘rbp2-mediacenter-osmc is already the newest version.’

running
dpkg -l | grep mediacenter-osmc | awk '{ print $3 }'
says im running version ‘16.1.0-20’

Have i done something wrong?
Would any log files help track the problem down?
Cheers.


#725

sudo apt-get dist-upgrade

try that


#726

Preformatted text[quote=“Toast, post:725, topic:14628”]
sudo apt-get dist-upgrade
[/quote]

Thanks for the assistance but I get this…

osmc@osmc:~$ sudo apt-get dist-upgrade
Reading package lists… Done
Building dependency tree
Reading state information… Done
Calculating upgrade… Done
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.


#727

Can you post your

/etc/apt/sources.list

Also the output of

sudo apt-get update


#728

16.8-173, 21 Oct 2016: Based off OSMC commit (7369d1aa6) and newclock5 (762a727)

XBMC:

Fix deadlock introduced by #10690 (PR:10726, 1 commit, 1 file changed)
Fix Music Standard Roles Nodes (PR:10717, 1 commit, 7 files changed)
[peripheral API] Fix unitialized variable (f4cb6526)

peripheral.joystick:

[cmake] Cleanup and modernize (e5ee9467)
Remove unused member variable in CSettings (c89326e3)

newclock5:

New commits in this build:
VideoPlayer: fix aspect ratio for matroska containers for stereo modes (762a727c)


#729

Hello Guys, I’m facing an issue with the version 160.
When I change some settings on Kodi, the changes are not kept after the raspberry reboot.
For example, I would like to remove the “Radio” and the “Images” tab from the main menu. I can remove it but it cames back after the reboot.
Thanks


#731

Skin issue,if your using esutary contact skin author.


#732

sure…

sources.list:
http://pastebin.com/PVc4SkxR

sudo apt-get update:
http://pastebin.com/xgxb7Lnj


#733

I’m at a bit of a loss as to why it’s not updating. Have any other packages every updated with

sudo apt-get dist-upgrade

Also try installing with specifying the version number.

sudo apt-get install rbp2-mediacenter-osmc=16.8-174


#734

when i run:

sudo apt-get install rbp2-mediacenter-osmc=16.8-174

i get:

The following packages have unmet dependencies:
rbp2-mediacenter-osmc : Depends: rbp2-libcec-osmc (>= 3.1.0-2) but 3.0.1-18 is to be installed
E: Unable to correct problems, you have held broken packages.

if i try reinstalling rbp2-libcec-osmc it returns:
rbp2-libcec-osmc is already the newest version.

Edit: I’ve upgraded libcec by specifying the version, now it’s letting me upgrade osmc by specifying the version, I’ll report back if I have any issues, cheers for your assistance.


#735

16.8-174, 22 Oct 2016: Based off OSMC commit (7369d1aa6) and newclock5 (1e70e98)

XBMC:
[cmake] Fix build with VAAPI/VDPAU off on linux (PR:10729, 1 commit, 1 file changed)
VideoPlayer: ffmpeg, fix calculating aspect ratio for 3d modes (PR:10727, 1 commit, 1 file changed)
[CMAKE] - fixups for ios/binaddons (PR:10732, 2 commits, 2 files changed)
Fix button maps not refreshing after a reset (PR:10735, 1 commit, 1 file changed)

peripheral.joystick:
Fix add-on button map overriding user button map (0da70a1a)
Fix possible failure to derive certain features (39751ff3)
Revert “Don’t mark callback as __cdecl when” (1aee01f9)

newclock5:

Commits no longer in build:

VideoPlayer: fix aspect ratio for matroska containers for stereo modes (762a727c)


#736

when I run apt-get dist-upgrade I get the following

osmc@osmc:~$ sudo apt-get dist-upgrade
Reading package lists… Done
Building dependency tree
Reading state information… Done
You might want to run ‘apt-get -f install’ to correct these.
The following packages have unmet dependencies:
mediacenter-skin-osmc : Depends: script-simplejson-osmc but it is not installed
Depends: script-skinshortcuts-osmc but it is not installed
Depends: script-unidecode-osmc but it is not installed
E: Unmet dependencies. Try using -f.
osmc@osmc:~$

Any thoughts?


#737

It means the skin was imported without all dependencies. I suspect a version of the new skin (which won’t need these dependencies) will be imported by @gmc soon.


#738

Any idea how to revert to previous install, Trying

sudo apt-get install rbp2-mediacenter-osmc=16.8-170

osmc@osmc:~$ sudo apt-get install rbp2-mediacenter-osmc=16.8-170
Reading package lists… Done
Building dependency tree
Reading state information… Done
You might want to run ‘apt-get -f install’ to correct these:
The following packages have unmet dependencies:
mediacenter-skin-osmc : Depends: script-simplejson-osmc but it is not going to be installed
Depends: script-skinshortcuts-osmc but it is not going to be installed
Depends: script-unidecode-osmc but it is not going to be installed
E: Unmet dependencies. Try ‘apt-get -f install’ with no packages (or specify a solution).


#739

Tweak dpkg status to do this / apt-get -f install, or wait for a newer version.


#740

osmc@osmc:~$ sudo apt-get -f install
Reading package lists… Done
Building dependency tree
Reading state information… Done
Correcting dependencies… Done
The following extra packages will be installed:
script-simplejson-osmc script-skinshortcuts-osmc script-unidecode-osmc
The following NEW packages will be installed:
script-simplejson-osmc script-skinshortcuts-osmc script-unidecode-osmc
0 upgraded, 3 newly installed, 0 to remove and 0 not upgraded.
2 not fully installed or removed.
Need to get 0 B/515 kB of archives.
After this operation, 2651 kB of additional disk space will be used.
Do you want to continue? [Y/n] y
WARNING: The following packages cannot be authenticated!
script-simplejson-osmc script-skinshortcuts-osmc script-unidecode-osmc
Install these packages without verification? [y/N] y
(Reading database … 25821 files and directories currently installed.)
Preparing to unpack …/script-simplejson-osmc_3.3.0-1_all.deb …
Unpacking script-simplejson-osmc (3.3.0-1) …
dpkg: error processing archive /var/cache/apt/archives/script-simplejson-osmc_3.3.0-1_all.deb (–unpack):
trying to overwrite ‘/usr/share/kodi/addons/script.module.simplejson/CHANGELOG.txt’, which is also in package mediacenter-skin- osmc 4.1.0-1
Preparing to unpack …/script-skinshortcuts-osmc_1.0.11-1_all.deb …
Unpacking script-skinshortcuts-osmc (1.0.11-1) …
dpkg: error processing archive /var/cache/apt/archives/script-skinshortcuts-osmc_1.0.11-1_all.deb (–unpack):
trying to overwrite ‘/usr/share/kodi/addons/script.skinshortcuts/resources/shortcuts/videos.DATA.xml’, which is also in package mediacenter-skin-osmc 4.1.0-1
dpkg-deb: error: subprocess paste was killed by signal (Broken pipe)
Preparing to unpack …/script-unidecode-osmc_0.4.16-1_all.deb …
Unpacking script-unidecode-osmc (0.4.16-1) …
dpkg: error processing archive /var/cache/apt/archives/script-unidecode-osmc_0.4.16-1_all.deb (–unpack):
trying to overwrite ‘/usr/share/kodi/addons/script.module.unidecode/icon.png’, which is also in package mediacenter-skin-osmc 4 .1.0-1
dpkg-deb: error: subprocess paste was killed by signal (Broken pipe)
Errors were encountered while processing:
/var/cache/apt/archives/script-simplejson-osmc_3.3.0-1_all.deb
/var/cache/apt/archives/script-skinshortcuts-osmc_1.0.11-1_all.deb
/var/cache/apt/archives/script-unidecode-osmc_0.4.16-1_all.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)